> *Refer to* [*README*](../README.md) *for main instruction file*

The Doubango framework is **dual licensed (GPL/commercial)** and contains third-party libraries compatible with commercial and closed-source applications.

The framework depends on:

<table border='1' cellspacing='0' cellpadding='5'>
<blockquote><tr>
<blockquote><td>Name</td>
<td>Version</td>
<td>License</td>
<td>Dependency</td>
<td>Comments</td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://www.ffmpeg.org/'>FFmpeg</a></td>
<td>SVN <a href='https://code.google.com/p/doubango/source/detail?r=24652'>r24652</a></td>
<td>GPL or LGPL</td>
<td><i>optional</i></td>
<td>The commercial version could be linked against the LGPL version as far as the FFmpeg's <a href='http://ffmpeg.org/legal.html'>License Compliance Checklist</a> is respected. <br /><b>We recommend not using FFmpeg</b></td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://www.ilbcfreeware.org/'>iLBC</a></td>
<td>1.0</td>
<td>GIPS Public License</td>
<td><i>optional</i></td>
<td></td>
</blockquote></tr>
<tr>
<blockquote><td><a href='https://launchpad.net/libgsm'>libgsm</a></td>
<td>1.0-pl13</td>
<td>BSD</td>
<td><i>optional</i></td>
<td></td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://downloads.xiph.org/releases/ogg/libogg-1.1.4.tar.gz'>libogg</a></td>
<td>1.1.4</td>
<td>BSD</td>
<td><i>optional</i></td>
<td></td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://code.google.com/p/libyuv/'>libyuv</a></td>
<td>SVN <a href='https://code.google.com/p/doubango/source/detail?r=321'>r321</a></td>
<td>BSD-style</td>
<td><b>mandatory</b></td>
<td></td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://srtp.sourceforge.net/srtp.html'>libsrtp</a></td>
<td>1.4.2</td>
<td>BSD-based</td>
<td><i>optional</i></td>
<td></td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://www.theora.org/'>libtheora</a></td>
<td>1.1.1</td>
<td>BSD</td>
<td><i>optional</i></td>
<td></td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://downloads.xiph.org/releases/vorbis/libvorbis-1.2.3.tar.gz'>libvorbis</a></td>
<td>1.2.3</td>
<td>BSD</td>
<td><i>optional</i></td>
<td></td>
</blockquote></tr>
<tr>
<blockquote><td><a href='https://sourceforge.net/projects/opencore-amr/'>opencore-amr</a></td>
<td>0.1.2</td>
<td>Apache license 2.0</td>
<td><i>optional</i></td>
<td></td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://www.openssl.org/'>openssl</a></td>
<td>0.9.8m</td>
<td>Apache-style License</td>
<td><i>optional</i></td>
<td></td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://www.complang.org/ragel/'>Ragel output</a></td>
<td>6.7</td>
<td>Doubango License</td>
<td><b>mandatory</b></td>
<td>No linking</td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://simple.sourceforge.net/'>SimpleXML</a></td>
<td>2.3.4</td>
<td>Apache License 2.0</td>
<td><b>mandatory</b></td>
<td>Only on Android</td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://www.swig.org/'>swig output</a></td>
<td>SVN <a href='https://code.google.com/p/doubango/source/detail?r=12023'>r12023</a></td>
<td>Doubango License</td>
<td><b>mandatory</b></td>
<td>No linking</td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://www.speex.org/'>Speex</a></td>
<td>1.2</td>
<td>Revisited-BSD</td>
<td><b>mandatory</b></td>
<td></td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://www.webrtc.org/'>WebRTC audio processing</a></td>
<td>SVN <a href='https://code.google.com/p/doubango/source/detail?r=2512'>r2512</a></td>
<td>BSD</td>
<td>optional</td>
<td>AEC, Noise suppression ...</td>
</blockquote></tr>
<tr>
<blockquote><td><a href='http://www.videolan.org/developers/x264.html'>x264</a></td>
<td>0.104</td>
<td>GPL</td>
<td><i>optional</i></td>
<td><b>Must be disabled for commercial use</b></td>
</blockquote></tr>
</blockquote><blockquote></table>
